package ovh.herisson.Clyde.EndPoints;

import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;
import ovh.herisson.Clyde.Repositories.ExemptionsRequestRepository;
import ovh.herisson.Clyde.Tables.ExemptionsRequest;
import ovh.herisson.Clyde.Tables.RequestState;

@RestController
@CrossOrigin(originPatterns = "*", allowCredentials = "true")
public class RequestsController {

    public final ExemptionsRequestRepository err;

    public RequestsController(ExemptionsRequestRepository err) {
        this.err = err;
    }

    @PostMapping(value="/exemptionreq")
    public ResponseEntity<String> register(@RequestBody ExemptionsRequest exemptionsRequest){

        exemptionsRequest.setState(RequestState.Pending);

        err.save(exemptionsRequest);

        return new ResponseEntity<>(HttpStatus.CREATED);
    }
}
